/*
 ************************************************************************************************
 *                                                                                              *
 *  OSA cooperative RTOS for Microchip PIC-controllers: PIC10/12/16/18/24/dsPIC                 *
 *                                                                                              *
 *  URL:            http://wiki.pic24.ru/doku.php/en/osa/ref/intro                              *
 *                  http://picosa.narod.ru                                                      *
 *                                                                                              *
 *----------------------------------------------------------------------------------------------*
 *                                                                                              *
 *  File:           osa_include.c                                                               *     
 *                                                                                              *
 *  Compilers:      HT-PICC STD                                                                 *
 *                  HT-PICC18 STD                                                               *
 *                  Microchip C18                                                               *
 *                  Microchip C30                                                               *
 *                                                                                              *
 *  Programmer:     Timofeev Victor                                                             *
 *                  osa@pic24.ru, testerplus@mail.ru                                            *
 *                                                                                              *
 *  Description:                                                                                *
 *                                                                                              *
 *  History:        01.04.2009 -    File created                                                *
 *                                                                                              *
 ************************************************************************************************
 */


//------------------------------------------------------------------------------
#if defined(__OSAPICC18__)
//------------------------------------------------------------------------------

    #include <port\osa_picc18.c>         // HT-PICC18

//------------------------------------------------------------------------------
#elif defined(__OSAMCC18__)
//------------------------------------------------------------------------------

    #include <port\osa_mcc18.c>          // MPLAB C18

//------------------------------------------------------------------------------
#elif defined(__OSAMCC30__)
//------------------------------------------------------------------------------

    #include <port\osa_mcc30.c>          // MPLAB C30

//------------------------------------------------------------------------------
#elif defined(__OSACCS18__)
//------------------------------------------------------------------------------

    #include <port\osa_ccs18.c>          // CCS-PICC (for PIC18 only)

//------------------------------------------------------------------------------
#elif defined(__OSAPICC12__)
//------------------------------------------------------------------------------

    #include <port\osa_picc12.c>         // HT_PICC for 12-bit PICs

//------------------------------------------------------------------------------
#elif defined(__OSAPICC16__)
//------------------------------------------------------------------------------

    #include <port\osa_picc16.c>         // HT_PICC

//------------------------------------------------------------------------------
#elif defined(__OSAMKC18__)
//------------------------------------------------------------------------------

    #include <port\osa_mikroc18.c>       // microC for PIC18

//------------------------------------------------------------------------------
#else
//------------------------------------------------------------------------------

    #error "Unknown compiler!"

//------------------------------------------------------------------------------
#endif
//------------------------------------------------------------------------------

